Subject: Re: linux-next: build failure after merge of the net tree

From: David Miller <[email-masked]>
Date: Tue, 15 Mar 2011 15:07:14 -0700 (PDT)

From: Thomas Gleixner <[email-masked]>
Date: Tue, 15 Mar 2011 11:29:18 +0100 (CET)

> On Tue, 15 Mar 2011, Stephen Rothwell wrote:
> 
>> Hi Dave,
>> 
>> On Mon, 14 Mar 2011 21:07:12 -0700 (PDT) David Miller <[email-masked]> wrote:
>> >
>> > From: Stephen Rothwell <[email-masked]>
>> > Date: Tue, 15 Mar 2011 11:30:49 +1100
>> > 
>> > > So, if you merge the commit 1fb0ef31f428 ("genirq: Fix affinity notifier
>> > > fallout") from the tip tree, you will get exactly one new commit and will
>> > > fix your tree properly with no adverse effect on anyone else.
>> > 
>> > Thomas, how would you like me to do this?  Do you want to put that
>> > commit on a branch for me to pull from or should I apply it
>> > directly?
>> 
>> That commit is already the head of the irq/numa branch in the tip tree
>> (it is also on the irq/core branch).
>> 
>> Please merge that rather than cherry-picking the commit as that will
>> minimise the possibility of conflicts.  Pulling the irq/numa branch will
>> get you just that one fixup commit (as you have already merged up to the
>> immediately preceding commit).
>> 
>> I assume this makes sense, Thomas?  I just did a merge of the actual
>> fixup commit after merging the net tree.
> 
> Yes. irq/numa should do the trick.

Great, I'll do that now.